> For the complete documentation index, see [llms.txt](https://docs.pentaho.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pentaho.com/install/9.3-install/pentaho-installation-overview-cp/installation-and-upgrade-issues/unable-to-use-the-database-init-scripts-for-postgresql.md).

# Unable to use the database init scripts for PostgreSQL

The `pg_hba.conf` file contains host-based authentication information. If you cannot run the SQL scripts that generate the Jackrabbit and Quartz databases, it is probably because the default user accounts for each database do not have the right permissions.

To change these permissions, edit the file to ensure that connections from local users created by the Pentaho SQL scripts (such as `pentaho_user`) will be able to connect. The default on Debian-based systems is for local connections you use ident authentication, which means that database users must have local user accounts. In other words, to continue using ident, you would have to create a local `pentaho_user` account. An easier resolution might be to just change the authentication method to something less restrictive. Consult your IT manager to assess if this approach is possible.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pentaho.com/install/9.3-install/pentaho-installation-overview-cp/installation-and-upgrade-issues/unable-to-use-the-database-init-scripts-for-postgresql.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
